ProcExe (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class ProcExe

    java.lang.Object
      org.hyperic.sigar.ProcExe

All Implemented Interfaces:
  java.io.Serializable

    public class ProcExe

extends java.lang.Object
implements java.io.Serializable

ProcExe sigar class.

See Also:
  Serialized Form

Constructor Summary
`ProcExe()`

Method Summary
`void` | `gather(Sigar sigar, long pid)`
`java.lang.String` | `getCwd()` Get the Name of process current working directory.
`java.lang.String` | `getName()` Get the Name of process executable.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcExe

    public ProcExe()

Method Detail

### gather

    public void gather(Sigar sigar,
                       long pid)
                throws SigarException

  Throws:
    `SigarException`

### getName

    public java.lang.String getName()

  Get the Name of process executable.

  Supported Platforms: FreeBSD, Linux, Solaris, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ls -l /proc/$$/exe`
  - Solaris: ``
  - Win32: ``

  Returns:
    Name of process executable

### getCwd

    public java.lang.String getCwd()

  Get the Name of process current working directory.

  Supported Platforms: Linux, Solaris, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `ls -l /proc/$$/cwd`
  - Solaris: ``
  - Win32: ``

  Returns:
    Name of process current working directory

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.